workspace = { members = ["src/app"] }

[package]
name = "colorutils-rs"
version = "0.8.0"
edition = "2024"
description = "High performance utilities for color format handling and conversion."
readme = "README.md"
keywords = ["lab", "hsv", "xyz", "color", "colorspace"]
license = "BSD-3-Clause OR Apache-2.0"
authors = ["Radzivon Bartoshyk"]
documentation = "https://github.com/awxkee/colorutils-rs"
categories = ["multimedia::images", "multimedia::video"]
homepage = "https://github.com/awxkee/colorutils-rs"
repository = "https://github.com/awxkee/colorutils-rs"
exclude = ["*.jpg"]
rust-version = "1.89.0"

[dependencies]
erydanos = "0.2"
half = "2.6"
num-traits = "0.2"
